#ifndef _DEMUX_THREAD_H_
#define _DEMUX_THREAD_H_

#include "thread.h"
#include "ts.h"

class DemuxThread : public Thread
{
public:
	DemuxThread(void);
	virtual ~DemuxThread(void);
	BOOL Demux( TCHAR *tsfile, HWND hProg = NULL );
	BOOL Join( DWORD dwTimeout = INFINITE );

	BOOL retrySplit;

protected:
	HWND hDest;
	TCHAR path[_MAX_PATH];
	ts::demuxer demuxer;

	virtual DWORD ThreadProc(void);
};

#endif//_DEMUX_THREAD_H_
