#include "stdafx.h"
#include "DemuxThread.h"
#include "misc.h"

DemuxThread::DemuxThread(void)
	: retrySplit( FALSE )
{
}

DemuxThread::~DemuxThread(void)
{
}

BOOL DemuxThread::Demux( TCHAR *tsfile, HWND hProg )
{
	hDest = hProg;
	_tcscpy_s( path, _countof(path), tsfile );
	return Create();
}

DWORD DemuxThread::ThreadProc(void)
{
	demuxer.dvhs = true;
	demuxer.not_add_track = true;
	demuxer.target_hwnd = hDest;
	demuxer.adjust_wav = true;
	demuxer.split_with_error = retrySplit ? true : false;
	demuxer.ignore_m3a = true;

	demuxer.demux_file( path );

	return 0;
}

BOOL DemuxThread::Join( DWORD dwTimeout )
{
	demuxer.loop_continue = m_bLoop ? true : false;
	return Thread::Join( dwTimeout );
}
